<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
HeapDatabase..::.Stats Method (Transaction, Isolation)
HeapDatabase Class See Also Send Feedback

Return the database statistical information for this database.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.14.0

# Syntax

C#

    public HeapStats Stats(
    	Transaction txn,
    	Isolation isoDegree
    )

Visual Basic (Declaration)

    Public Function Stats ( _
    	txn As Transaction, _
    	isoDegree As Isolation _
    ) As HeapStats

Visual C++

    public:
    HeapStats^ Stats(
    	Transaction^ txn,
    	Isolation isoDegree
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

isoDegree
  Type: BerkeleyDB..::.Isolation
  The level of isolation for database reads. DEGREE_ONE will be silently ignored for databases which did not specify ReadUncommitted.

#### Return Value

Database statistical information.

# See Also

HeapDatabase Class
Stats Overload
BerkeleyDB Namespace